## tdelibs-trinity 14.0.4

=== tdecore/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( malloc )
add_subdirectory( network )
add_subdirectory( tdeconfig_compiler )

if( WITH_TDEHWLIB )
  add_subdirectory( tdehw )
  set( TDEHW_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/tdehw )
  set( TDEHW_LIB tdehw-static )
endif( WITH_TDEHWLIB )

if( WITH_LIBART )
  add_subdirectory( svgicons )
  set( KDESVGICONS kdesvgicons-static )
endif( WITH_LIBART )

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/network
  ${TDEHW_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/libltdl
  ${CMAKE_SOURCE_DIR}/tdefx
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
  ${LIBART_INCLUDE_DIRS}
  ${LIBIDN_INCLUDE_DIRS}
  ${GAMIN_INCLUDEDIR}
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
)

##### headers ###################################

install( FILES
    tdeconfig.h tdeconfigskeleton.h tdeconfigdata.h ksimpleconfig.h
    tdeconfigdialogmanager.h tdeconfigbase.h kdesktopfile.h
    kurl.h ksock.h tdeaboutdata.h tdecmdlineargs.h tdeconfigbackend.h
    kapp.h tdeapplication.h kuniqueapp.h kuniqueapplication.h
    kcharsets.h tdeversion.h kpty.h kprocess.h kprocctrl.h
    tdelocale.h kicontheme.h kiconloader.h kdebug.h twinmodule.h
    twin.h krootprop.h tdeshortcut.h kkeynative.h tdeaccel.h
    kglobalaccel.h tdestdaccel.h tdeshortcutlist.h kcatalogue.h
    kregexp.h kcompletion.h kstringhandler.h kstddirs.h
    kstandarddirs.h tdeglobal.h tdeglobalsettings.h ksharedptr.h
    kallocator.h kvmallocator.h kcrash.h krfcdate.h kinstance.h
    kpalette.h kipc.h klibloader.h tdetempfile.h ksavefile.h
    krandomsequence.h knotifyclient.h kiconeffect.h kaudioplayer.h
    kdcoppropertyproxy.h netwm.h tdeaccelmanager.h netwm_def.h
    kpixmapprovider.h kunload.h kstaticdeleter.h kextsock.h
    kextendedsocket.h ksockaddr.h kprocio.h kasyncio.h kbufferedio.h
    kurldrag.h kmimesourcefactory.h kmdcodec.h ksocks.h tdesycoca.h
    tdesycocaentry.h tdesycocatype.h kxmessages.h tdestartupinfo.h
    klargefile.h tdemultipledrag.h kgenericfactory.h kgenericfactory.tcc
    ktypelist.h ksortablevaluelist.h kdebugclasses.h kclipboard.h
    kcalendarsystem.h kcalendarsystemfactory.h kmacroexpander.h
    kmanagerselection.h kmountpoint.h kuser.h klockfile.h
    kidna.h ktempdir.h kshell.h fixx11h.h kxerrorhandler.h
    tdelibs_export.h kde_file.h ktimezones.h
    ${CMAKE_CURRENT_BINARY_DIR}/kdemacros.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

install( FILES all_languages.desktop
  DESTINATION ${LOCALE_INSTALL_DIR} RENAME all_languages )

install( FILES 40.colors Web.colors Royal.colors Rainbow.colors
  DESTINATION ${CONFIG_INSTALL_DIR}/colors )

install( FILES kdebug.areas kdebugrc language.codes
  DESTINATION ${CONFIG_INSTALL_DIR} )

install( FILES kmdcodec_compat.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdeio RENAME kmdcodec.h )

install( FILES eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/knotify )

##### libtdecore ################################

set( target tdecore )

set( ${target}_SRCS
  libintl.cpp tdeapplication.cpp kdebug.cpp netwm.cpp
  tdeconfigbase.cpp tdeconfig.cpp ksimpleconfig.cpp tdeconfigbackend.cpp
  kmanagerselection.cpp kdesktopfile.cpp kstandarddirs.cpp
  ksock.cpp kpty.cpp kprocess.cpp kprocctrl.cpp tdelocale.cpp
  krfcdate.cpp kiconeffect.cpp kicontheme.cpp kiconloader.cpp
  twin.cpp twinmodule.cpp krootprop.cpp kcharsets.cpp
  kckey.cpp tdeshortcut.cpp kkeynative_x11.cpp kkeyserver_x11.cpp
  tdeaccelaction.cpp tdeshortcutmenu.cpp tdeaccelbase.cpp tdeaccel.cpp
  kglobalaccel_x11.cpp kglobalaccel.cpp tdestdaccel.cpp tdeshortcutlist.cpp
  kcrash.cpp kurl.cpp kregexp.cpp tdeglobal.cpp tdeglobalsettings.cpp
  kallocator.cpp kvmallocator.cpp kmimesourcefactory.cpp
  kinstance.cpp kpalette.cpp kipc.cpp klibloader.cpp tdetempfile.cpp
  kuniqueapplication.cpp tdeaccelmanager.cpp ksavefile.cpp
  krandomsequence.cpp kstringhandler.cpp kcompletion.cpp
  tdecmdlineargs.cpp tdeaboutdata.cpp kcompletionbase.cpp knotifyclient.cpp
  kaudioplayer.cpp kdcoppropertyproxy.cpp ksockaddr.cpp
  kextsock.cpp netsupp.cpp kprocio.cpp kbufferedio.cpp
  kpixmapprovider.cpp kurldrag.cpp kmdcodec.cpp ksocks.cpp
  fakes.c vsnprintf.c tdesycoca.cpp tdesycocadict.cpp tdesycoca.skel
  tdesycocafactory.cpp kxmessages.cpp tdestartupinfo.cpp
  kcatalogue.cpp kasyncio.cpp tdemultipledrag.cpp kstaticdeleter.cpp
  kappdcopiface.cpp kappdcopiface.skel kclipboard.cpp
  kcheckaccelerators.cpp tdeversion.cpp kdebugdcopiface.cpp
  kdebugdcopiface.skel kcalendarsystem.cpp kcalendarsystemgregorian.cpp
  kcalendarsystemhijri.cpp kcalendarsystemhebrew.cpp
  kcalendarsystemfactory.cpp kmacroexpander.cpp kidna.cpp
  ktempdir.cpp kshell.cpp kmountpoint.cpp kcalendarsystemjalali.cpp
  kprotocolinfo_tdecore.cpp kprotocolinfofactory.cpp kxerrorhandler.cpp
  kuser.cpp tdeconfigskeleton.cpp tdeconfigdialogmanager.cpp klockfile.cpp
  kqiodevicegzip_p.cpp ktimezones.cpp ksimpledirwatch.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 14.0.0
  EMBED tdecorenetwork-static ${TDEHW_LIB}
  LINK ltdlc-static ${KDESVGICONS} DCOP-shared tdefx-shared ${ZLIB_LIBRARIES}
    ${LIBIDN_LIBRARIES} ${XCOMPOSITE_LIBRARIES} ICE SM ${GAMIN_LIBRARIES}
    ${LIBBFD_LIBRARIES} ${LIB_UTIL}
  DEPENDENCIES dcopidl dcopidl2cpp
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdefakes_nonpic ###########################

set( target tdefakes_nonpic )

set( ${target}_SRCS
  fakes.c vsnprintf.c
)

tde_add_library( ${target} STATIC
  SOURCES ${${target}_SRCS}
  DESTINATION ${LIB_INSTALL_DIR}
)

##### tdefakes_pic ##############################

set( target tdefakes_pic )

set( ${target}_SRCS
  fakes.c vsnprintf.c
)

tde_add_library( ${target} STATIC_PIC
  SOURCES ${${target}_SRCS}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### libtdefakes ###############################

set( target tdefakes )

set( ${target}_SRCS
  fakes.c vsnprintf.c
)

tde_add_library( ${target} SHARED
  SOURCES ${${target}_SRCS}
  VERSION 14.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tde-config ################################

# FIXME still need some research and improvements
configure_file( tde-config.cpp.cmake tde-config.cpp @ONLY )


tde_add_executable( tde-config
  SOURCES ${CMAKE_CURRENT_BINARY_DIR}/tde-config.cpp
  LINK tdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

##### kgrantpty #################################

# FIXME there is something named KDE_USE_FPIE, I'm not sure what is this
#set_target_properties( kgrantpty PROPERTIES COMPILE_FLAGS ${KDE_USE_FPIE} )
#set_target_properties( kgrantpty PROPERTIES LINK_FLAGS ${KDE_USE_FPIE} )

tde_add_executable(kgrantpty SETUID
  SOURCES kgrantpty.c
  DESTINATION ${BIN_INSTALL_DIR}
)

##### kdetcompmgr #################################

tde_add_executable( kdetcompmgr
  SOURCES kdetcompmgr.cpp
  LINK tdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== tdeio/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  -D_LARGEFILE64_SOURCE=1
)

add_subdirectory( kssl )
add_subdirectory( tdeio )
add_subdirectory( bookmarks )
add_subdirectory( tdefile )
add_subdirectory( pics )
add_subdirectory( tdeioexec )
add_subdirectory( httpfilter )
add_subdirectory( misc )
add_subdirectory( kpasswdserver )
add_subdirectory( tests )

include_directories(
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${LIBR_LIBDIR}
)


##### other data ################################

add_custom_command(
  OUTPUT tdeio.magic.mgc
  COMMAND file -C -m ${CMAKE_CURRENT_SOURCE_DIR}/tdeio.magic
)

add_custom_target(
  tdeio_magic_mgc
  ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/tdeio.magic.mgc
)

install( FILES tdeio.magic ${CMAKE_CURRENT_BINARY_DIR}/tdeio.magic.mgc DESTINATION ${CONFIG_INSTALL_DIR}/magic )

install( FILES
    application.desktop kurifilterplugin.desktop
    kcomprfilter.desktop kscan.desktop kdatatool.desktop
    tdefileplugin.desktop tdecmodule.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR} )

install( FILES tdeioslave.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )
install( PROGRAMS useragent.pl proxytype.pl DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )
install( FILES renamedlgplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR} )
install( FILES kpasswdserver.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded )
install( FILES data.protocol DESTINATION ${SERVICES_INSTALL_DIR} )


if( HAVE_ELFICON )
  set( ELFICON_STATIC_LIB tdelficon-static )
endif( HAVE_ELFICON )


##### libtdeio ####################################

set( target tdeio )

configure_file( ${CMAKE_SOURCE_DIR}/cmake/modules/template_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_library( ${target} SHARED
  SOURCES ${CMAKE_CURRENT_BINARY_DIR}/dummy.cpp
  VERSION 14.0.0
  EMBED kssl-static tdeiocore-static tdesycoca-static kbookmarks-static tdefile-static ${ELFICON_STATIC_LIB}
  LINK ltdlc-static tdeui-shared tdesu-shared tdewalletclient-shared ${LIBR_LIBRARIES} ${ACL_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== tdeparts/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdefile
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    part.h plugin.h partmanager.h mainwindow.h dockmainwindow.h
    event.h browserextension.h factory.h historyprovider.h
    browserinterface.h genericfactory.h componentfactory.h
    browserrun.h statusbarextension.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdeparts )


##### other data ################################

install( FILES
    kpart.desktop krop.desktop krwp.desktop browserview.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR} )


#### tdeparts #####################################

set( target tdeparts )

set( ${target}_SRCS
  part.cpp plugin.cpp partmanager.cpp mainwindow.cpp
  dockmainwindow.cpp event.cpp browserextension.cpp
  factory.cpp  historyprovider.cpp browserinterface.cpp
  browserrun.cpp statusbarextension.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 2.1.0
  LINK tdeio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== tdeui/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

if( BUILD_TDEUI_TESTS )
  add_subdirectory( tests )
endif( BUILD_TDEUI_TESTS )

add_subdirectory( about )
add_subdirectory( kdetrayproxy )

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdefx
  ${CMAKE_SOURCE_DIR}/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdefile
  ${FREETYPE_INCLUDE_DIRS}
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    kprogressbox.h kprogress.h kcolordlg.h
    kcolordialog.h tdeselect.h
    kdatepik.h kdatepicker.h kdatetbl.h tdefontdialog.h tdepopupmenu.h
    tdefontrequester.h ktabctl.h kstatusbar.h
    tdemainwindow.h tdemainwindowiface.h tdetoolbar.h tdemenubar.h
    knuminput.h kseparator.h klineedit.h
    krestrictedline.h kcolorbutton.h kcolorbtn.h
    ksystemtray.h kdockwindow.h kbuttonbox.h
    keditcl.h kled.h keditlistbox.h
    kwizard.h kkeydialog.h kkeybutton.h
    kurllabel.h kruler.h kcursor.h
    klineeditdlg.h kinputdialog.h kactivelabel.h
    kcharselect.h kcolordrag.h qxembed.h
    knumvalidator.h kdialog.h kdialogbase.h
    kjanuswidget.h tdeaboutdialog.h
    kauthicon.h tdemessagebox.h ksharedpixmap.h
    kdualcolorbtn.h kdualcolorbutton.h tdetoolbarbutton.h
    tdetoolbarradiogroup.h ktextbrowser.h
    tdeaction.h tdeactioncollection.h tdeactionclasses.h khelpmenu.h kswitchlanguagedialog.h
    tdecmodule.h kcmenumngr.h kpanelmenu.h kpanelappmenu.h
    tdeactionshortcutlist.h kstdaction.h kcombobox.h
    kiconview.h tdelistview.h tdelistbox.h kbugreport.h kpassdlg.h
    kxmlguiclient.h kxmlgui.h kxmlguibuilder.h kxmlguifactory.h
    kpixmapio.h kwordwrap.h
    kedittoolbar.h kdockwidget.h kanimwidget.h
    krootpixmap.h tdeabouttde.h tdeaboutapplication.h
    kpanelapplet.h kpushbutton.h kdcopactionproxy.h kcolorcombo.h
    kpanelextension.h tdecompletionbox.h ksqueezedtextlabel.h
    kcommand.h twindowlistmenu.h tdefontcombo.h tdeaccelgen.h ktip.h
    kdatewidget.h karrowbutton.h kguiitem.h kstdguiitem.h
    kstringvalidator.h twindowinfo.h
    ktextedit.h kpassivepopup.h
    kdatetimewidget.h ktimewidget.h ktimezonewidget.h kscrollview.h
    tdespell.h ksconfig.h tdespelldlg.h ksyntaxhighlighter.h
    ktabbar.h ktabwidget.h ksplashscreen.h tdeconfigdialog.h
    tdeactionselector.h klanguagebutton.h tdelistviewsearchline.h
    kpixmapregionselectorwidget.h kpixmapregionselectordialog.h
    kiconviewsearchline.h tdetoolbarlabelaction.h tdeshortcutdialog.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

install( FILES
    abouttde.png ktip-bulb.png ktip-background.png
  DESTINATION ${DATA_INSTALL_DIR}/tdeui/pics )

install( FILES
    ui_standards.rc
  DESTINATION ${CONFIG_INSTALL_DIR}/ui )

install( PROGRAMS
    preparetips
  DESTINATION ${BIN_INSTALL_DIR} )


##### libtdeui ##################################

set( target tdeui )

set( ${target}_SRCS
  qxembed.cpp ksharedpixmap.cpp kpixmapio.cpp
  tdepopupmenu.cpp tdetoolbar.cpp tdeaction.cpp kstdaction.cpp
  tdeactioncollection.cpp tdeactionclasses.cpp
  kurllabel.cpp tdemenubar.cpp kinputdialog.cpp
  knuminput.cpp klineedit.cpp tdelistview.cpp kprogress.cpp
  kprogressbox.cpp kcolordialog.cpp tdeselect.cpp kdatepicker.cpp
  kdatetbl.cpp tdefontrequester.cpp tdefontdialog.cpp ktabctl.cpp
  kstatusbar.cpp tdemainwindow.cpp
  keditlistbox.cpp kscrollview.cpp
  kseparator.cpp krestrictedline.cpp
  kcolorbutton.cpp ksystemtray.cpp
  kbuttonbox.cpp keditcl1.cpp keditcl2.cpp kled.cpp
  tdeshortcutdialog_simple.ui tdeshortcutdialog_advanced.ui
  tdeshortcutdialog.cpp kkeybutton.cpp kkeydialog.cpp
  kruler.cpp kcursor.cpp klineeditdlg.cpp
  kcharselect.cpp kcolordrag.cpp
  knumvalidator.cpp kdialog.cpp kdialogbase.cpp
  kjanuswidget.cpp tdeaboutdialog.cpp
  kauthicon.cpp tdemessagebox.cpp kdualcolorbutton.cpp
  tdetoolbarradiogroup.cpp tdetoolbarbutton.cpp
  ktextbrowser.cpp khelpmenu.cpp kswitchlanguagedialog.cpp
  kcmenumngr.cpp kpanelmenu.cpp
  kiconview.cpp tdelistbox.cpp kwordwrap.cpp kbugreport.cpp
  kcombobox.cpp kpassdlg.cpp kxmlguiclient.cpp kxmlguifactory.cpp
  kxmlguifactory_p.cpp kxmlguibuilder.cpp kedittoolbar.cpp
  kpanelappmenu.cpp kdockwidget.cpp kdockwidget_private.cpp
  kanimwidget.cpp krootpixmap.cpp tdeabouttde.cpp
  tdeaboutapplication.cpp kpanelapplet.cpp kdcopactionproxy.cpp
  kcolorcombo.cpp kpushbutton.cpp kpanelextension.cpp
  tdecompletionbox.cpp ksqueezedtextlabel.cpp tdecmodule.cpp
  kcommand.cpp twindowlistmenu.cpp tdefontcombo.cpp ktip.cpp
  kdatewidget.cpp karrowbutton.cpp tdemainwindowiface.cpp
  tdemainwindowiface.skel kguiitem.cpp kstdguiitem.cpp
  kstringvalidator.cpp kactivelabel.cpp
  twindowinfo.cpp ktextedit.cpp kwizard.cpp kpassivepopup.cpp
  tdetoolbarhandler.cpp kdatetimewidget.cpp ktimewidget.cpp ktimezonewidget.cpp
  ksconfig.cpp tdespelldlg.cpp
  tdespell.cpp ksyntaxhighlighter.cpp ktabbar.cpp ktabwidget.cpp
  ksplashscreen.cpp tdespellui.ui tdeconfigdialog.cpp
  tdeactionselector.cpp klanguagebutton.cpp tdelistviewsearchline.cpp
  kpixmapregionselectorwidget.cpp kpixmapregionselectordialog.cpp
  kwhatsthismanager.cpp kiconviewsearchline.cpp
  tdetoolbarlabelaction.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 14.0.0
  LINK tdecore-shared ${FREETYPE_LIBRARIES} ${FONTCONFIG_LIBRARIES} ${XEXT_LIBRARIES}
  DEPENDENCIES dcopidl
  DESTINATION ${LIB_INSTALL_DIR}
)


##### libtdespell #################################

set( target tdespell )

configure_file( ${CMAKE_SOURCE_DIR}/cmake/modules/template_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_library( ${target} SHARED
  SOURCES ${CMAKE_CURRENT_BINARY_DIR}/dummy.cpp
  LINK ${TQT_LIBRARIES}
  VERSION 14.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)

=== interfaces/tdetexteditor/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_BINARY_DIR}/tdeabc
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
  ${CMAKE_SOURCE_DIR}/tdeabc
  ${CMAKE_SOURCE_DIR}/interfaces
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    document.h view.h editor.h plugin.h editinterface.h
    undointerface.h selectioninterface.h cursorinterface.h
    clipboardinterface.h popupmenuinterface.h viewcursorinterface.h
    searchinterface.h highlightinginterface.h blockselectioninterface.h
    codecompletioninterface.h configinterface.h markinterface.h
    printinterface.h wordwrapinterface.h dynwordwrapinterface.h
    markinterfaceextension.h configinterfaceextension.h
    encodinginterface.h viewstatusmsginterface.h
    sessionconfiginterface.h editorchooser.h documentinfo.h
    selectioninterfaceext.h selectionextdcopinterface.h
    texthintinterface.h editinterfaceext.h variableinterface.h
    templateinterface.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdetexteditor )


##### other data ################################

install( FILES
    tdetexteditor.desktop tdetexteditoreditor.desktop
    tdetexteditorplugin.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR} )

install( FILES
    kcm_tdetexteditor.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kcm_componentchooser )



##### tdetexteditor ###############################

set( target tdetexteditor )

set( ${target}_SRCS
  tdetexteditor.cpp
  editinterface.cpp clipboardinterface.cpp  selectioninterface.cpp searchinterface.cpp
  codecompletioninterface.cpp wordwrapinterface.cpp blockselectioninterface.cpp
  configinterface.cpp cursorinterface.cpp  dynwordwrapinterface.cpp
  printinterface.cpp highlightinginterface.cpp markinterface.cpp
  popupmenuinterface.cpp undointerface.cpp viewcursorinterface.cpp
  editdcopinterface.cpp editdcopinterface.skel clipboarddcopinterface.cpp
  clipboarddcopinterface.skel selectiondcopinterface.cpp selectiondcopinterface.skel
  searchdcopinterface.cpp searchdcopinterface.skel markinterfaceextension.cpp
  configinterfaceextension.cpp encodinginterface.cpp sessionconfiginterface.cpp
  viewstatusmsginterface.cpp editorchooser_ui.ui editorchooser.cpp
  blockselectiondcopinterface.cpp documentinfo.cpp documentdcopinfo.cpp
  blockselectiondcopinterface.skel documentdcopinfo.skel encodingdcopinterface.cpp
  encodingdcopinterface.skel printdcopinterface.cpp printdcopinterface.skel
  undodcopinterface.cpp undodcopinterface.skel viewcursordcopinterface.cpp
  viewcursordcopinterface.skel viewstatusmsgdcopinterface.cpp
  viewstatusmsgdcopinterface.skel selectioninterfaceext.cpp selectionextdcopinterface.skel
  texthintinterface.cpp editinterfaceext.cpp variableinterface.cpp templateinterface.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 0.0.0
  LINK tdeui-shared tdeabc-shared tdeparts-shared
  DEPENDENCIES dcopidl dcopidl2cpp
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kate/data/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### other data ################################

install( FILES
    katepart.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )

install( FILES
    katepartui.rc katepartreadonlyui.rc
  DESTINATION ${DATA_INSTALL_DIR}/katepart )

install( FILES
    katesyntaxhighlightingrc katefiletyperc
  DESTINATION ${CONFIG_INSTALL_DIR} )

install( FILES
    language.dtd syntax.template
    4dos.xml abap.xml abc.xml actionscript.xml ada.xml ahdl.xml ahk.xml alert_indent.xml
    alert.xml ample.xml ansic89.xml ansys.xml apache.xml asm6502.xml asm-avr.xml
    asm-dsp56k.xml asm-m68k.xml asn1.xml asp.xml asterisk.xml awk.xml bash.xml bitbake.xml
    bibtex.xml bmethod.xml carto-css.xml ccss.xml cgis.xml cg.xml changelog.xml chicken.xml
    cisco.xml clipper.xml clojure.xml cmake.xml coffee.xml coldfusion.xml
    commonlisp.xml component-pascal.xml context.xml cpp.xml crk.xml css.xml
    cs.xml cue.xml curry.xml c.xml ddoc.xml debianchangelog.xml debiancontrol.xml
    desktop.xml diff.xml djangotemplate.xml dockerfile.xml dosbat.xml dot.xml
    doxygenlua.xml doxygen.xml dtd.xml d.xml eiffel.xml email.xml erlang.xml
    euphoria.xml e.xml fasm.xml ferite.xml fgl-4gl.xml fgl-per.xml fortran.xml freebasic.xml
    fsharp.xml fstab.xml ftl.xml gap.xml gcc.xml gdb.xml gdl.xml gettext.xml git-ignore.xml
    git-rebase.xml gitolite.xml glosstex.xml glsl.xml gnuassembler.xml gnuplot.xml go.xml
    grammar.xml groovy.xml hamlet.xml haml.xml haskell.xml haxe.xml html.xml
    hunspell-aff.xml hunspell-dat.xml hunspell-dic.xml hunspell-idx.xml
    idconsole.xml idl.xml ilerpg.xml inform.xml
    ini.xml isocpp.xml jam.xml javadoc.xml javascript.xml java.xml json.xml
    jsp.xml julia.xml j.xml kbasic.xml latex.xml ldif.xml ld.xml less.xml lex.xml lilypond.xml
    literate-curry.xml literate-haskell.xml logtalk.xml lpc.xml lsl.xml lua.xml m3u.xml
    m4.xml mab.xml magma.xml makefile.xml mako.xml mandoc.xml mason.xml mathematica.xml matlab.xml
    maxima.xml mediawiki.xml mel.xml mergetagtext.xml meson.xml metafont.xml mips.xml modelica.xml
    modelines.xml modula-2.xml monobasic.xml mup.xml nagios.xml nasm.xml nemerle.xml nesc.xml
    noweb.xml objectivecpp.xml objectivec.xml ocaml.xml ocamllex.xml ocamlyacc.xml
    octave.xml oors.xml opal.xml opencl.xml
    pango.xml pascal.xml perl.xml pgn.xml php.xml picsrc.xml pig.xml pike.xml
    postscript.xml povray.xml ppd.xml praat.xml progress.xml prolog.xml protobuf.xml puppet.xml
    purebasic.xml python.xml qmake.xml qml.xml qt4.xml q.xml rapidq.xml relaxngcompact.xml
    relaxng.xml replicode.xml restructuredtext.xml rest.xml rexx.xml rhtml.xml rib.xml
    roff.xml rpmspec.xml rsiidl.xml rtf.xml ruby.xml rust.xml r.xml sather.xml scala.xml scheme.xml
    sci.xml scss.xml sed.xml sgml.xml sieve.xml sisu.xml sml.xml spice.xml sql-mysql.xml
    sql-oracle.xml sql-postgresql.xml sql.xml stata.xml systemc.xml systemverilog.xml tads3.xml
    taskjuggler.xml tcl.xml tcsh.xml template-toolkit.xml texinfo.xml textile.xml tibasic.xml
    txt2tags.xml update-files.xml uscript.xml valgrind-suppression.xml
    varnishtest.xml varnish.xml vcard.xml velocity.xml vera.xml verilog.xml vhdl.xml
    vrml.xml winehq.xml wml.xml xharbour.xml xmldebug.xml xml.xml xonotic-console.xml
    xorg.xml xslt.xml xul.xml yacas.xml yacc.xml yaml.xml zonnon.xml zsh.xml
    ${CMAKE_CURRENT_BINARY_DIR}/html-php.xml
    ${CMAKE_CURRENT_BINARY_DIR}/css-php.xml
    ${CMAKE_CURRENT_BINARY_DIR}/javascript-php.xml
  DESTINATION ${DATA_INSTALL_DIR}/katepart/syntax )


##### generate php headers ######################

add_custom_command( OUTPUT html-php.xml
  COMMAND perl ARGS generate-php.pl < html.xml > ${CMAKE_CURRENT_BINARY_DIR}/html-php.xml
  DEPENDS html.xml
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )

add_custom_command( OUTPUT css-php.xml
  COMMAND perl ARGS generate-php.pl < css.xml > ${CMAKE_CURRENT_BINARY_DIR}/css-php.xml
  DEPENDS css.xml
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )

add_custom_command( OUTPUT javascript-php.xml
  COMMAND perl ARGS generate-php.pl < javascript.xml > ${CMAKE_CURRENT_BINARY_DIR}/javascript-php.xml
  DEPENDS javascript.xml
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )

add_custom_target( php-headers ALL
  DEPENDS html-php.xml css-php.xml javascript-php.xml )

=== mimetypes/video/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### other data ################################

install( FILES
    mpeg.desktop quicktime.desktop x-flic.desktop x-flv.desktop
    x-msvideo.desktop x-mng.desktop x-ms-asf.desktop x-ms-wmv.desktop
    x-theora.desktop mp4.desktop x-ogm.desktop x-matroska.desktop
    vnd.rn-realvideo.desktop avi.desktop
  DESTINATION ${MIME_INSTALL_DIR}/video )

=== tdeio/misc/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( tdesendbugmail )
add_subdirectory( kpac )
add_subdirectory( tdesasl )
add_subdirectory( kssld )
add_subdirectory( tdefile )
add_subdirectory( tdewalletd )
add_subdirectory( tdentlm )

add_definitions(
  -D_LARGEFILE64_SOURCE
)

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_BINARY_DIR}/tdeio
  ${CMAKE_BINARY_DIR}/tdeio/tdeio
  ${CMAKE_BINARY_DIR}/tdeio/kssl
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/tdefx
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/kssl
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES uiserver.h DESTINATION ${INCLUDE_INSTALL_DIR}/tdeio )


##### other data ################################

install(FILES
    tdeio_uiserver.desktop tdemailservice.protocol
    telnet.protocol rlogin.protocol rtsp.protocol
    ssh.protocol mms.protocol mmst.protocol mmsu.protocol
    pnm.protocol rtspt.protocol rtspu.protocol
  DESTINATION ${SERVICES_INSTALL_DIR} )

install( FILES fileshareset DESTINATION ${BIN_INSTALL_DIR}
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE SETUID )


#### tdeio_uiserver ###############################

set( target tdeio_uiserver )

set( ${target}_SRCS
  uiserver.cpp uiserver.skel
)

tde_add_tdeinit_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdeio-shared
  DEPENDENCIES dcopidl
)


##### tdemailservice ##############################

set( target tdemailservice )

tde_add_executable( ${target}
  SOURCES ${target}.cpp
  LINK tdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### tdetelnetservice ############################

set( target tdetelnetservice )

tde_add_executable( ${target}
  SOURCES ${target}.cpp
  LINK tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

tde_install_symlink( ${target} ${BIN_INSTALL_DIR}/filesharelist )

=== tdewallet/backend/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdewallet/client
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/tdecore
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
)


##### libtdewalletbackend #########################

set( target tdewalletbackend )

set( ${target}_SRCS
  blockcipher.cc blowfish.cc
  cbc.cc sha1.cc tdewalletentry.cc
  tdewalletbackend.cc
)

tde_add_library( ${target} SHARED
  SOURCES ${${target}_SRCS}
  VERSION 1.0.0
  LINK tdecore-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kate/plugins/isearch/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/interfaces
)


link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES tdetexteditor_isearch.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES tdetexteditor_isearchui.rc DESTINATION ${DATA_INSTALL_DIR}/tdetexteditor_isearch )


##### tdetexteditor_isearch #######################

set( target tdetexteditor_isearch )

set( ${target}_SRCS
  ISearchPlugin.cpp
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdetexteditor-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kate/plugins/kdatatool/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdefx
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
  ${CMAKE_SOURCE_DIR}/interfaces
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES tdetexteditor_kdatatool.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES tdetexteditor_kdatatoolui.rc DESTINATION ${DATA_INSTALL_DIR}/tdetexteditor_kdatatool )


##### tdetexteditor_kdatatool #####################

set( target tdetexteditor_kdatatool )

set( ${target}_SRCS
  kate_kdatatool.cpp
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdetexteditor-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== tdeabc/plugins/net/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/tdeabc
  ${CMAKE_SOURCE_DIR}/tdeabc

  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdefile
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    resourcenet.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdeabc )


##### other data ################################

install( FILES net.desktop DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc )


##### tdeabc_net (library) ########################

set( target tdeabc_net )

set( ${target}_SRCS
  resourcenet.cpp resourcenetconfig.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 1.0.0
  LINK tdeabc-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdeabc_net (module) #########################

set( target tdeabc_net )

set( ${target}_SRCS
  resourcenetplugin.cpp
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdeabc_net-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdelibs-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 11:39:39 +0200

tdelibs-trinity (4:3.5.12-0ubuntu6+r1116280) lucid; urgency=low

  * Automated svn build

 -- root <kb9vqf@pearsoncomputing.net>  Sun, 18 Apr 2010 21:42:57 -0500

tdelibs-trinity (4:3.5.10-0ubuntu16) karmic; urgency=low

  * Microsoft docx mimetypes handled properly

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 09 Dec 2009 21:46:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu14) karmic; urgency=low

  * Trinity rebranding
  * Bug report redirection to active bugtracker

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 08 Dec 2009 12:17:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu12) karmic; urgency=low

  * Repaired Konqueror JavaScript crash

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 25 Oct 2009 02:44:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu10) karmic; urgency=low

  * Added a script to generate device links /dev/cdrom and /dev/dvd if they do not already exist

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Oct 2009 20:17:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu9) karmic; urgency=low

  * Fixed make_driver_db_cups path

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Oct 2009 20:17:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu7) karmic; urgency=low

  * Fixed dependency on kdescripts

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 07 Aug 2009 14:14:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu6) karmic; urgency=low

  * Library paths fixed

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 06 Aug 2009 14:56:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu3~intrepid7) intrepid; urgency=low

  * Updated kate syntax editor files (closes Bug #91)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 05 Jun 2009 16:39:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu3~intrepid6) intrepid; urgency=low

  * Added proper KDE4 application labelling and starting to Trinity menu

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 27 Mar 2009 00:13:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu3~intrepid5) intrepid; urgency=low

  * Added conflict and provide for tdelibs-data << 4:4.0  (Closes bug #61)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 20 Mar 2009 11:56:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu3~intrepid4) intrepid; urgency=low

  * Repaired tdecmshell root environment default data directory

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 20 Mar 2009 11:56:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu3~intrepid1) intrepid; urgency=low

  * Repaired tdecmshell root environment

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 09 Mar 2009 13:21:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu2~intrepid10) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 25 Feb 2009 15:12:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu2~intrepid5) intrepid; urgency=low

  * Fixed kde data directory default

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 02 Jan 2009 16:55:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu2~intrepid4) intrepid; urgency=low

  * Added /usr/trinity/lib to ld.so.conf.d

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 17 Dec 2008 17:51:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu2~intrepid1) intrepid; urgency=low

  * Fixed build-depends

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 15 Dec 2008 10:37:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu1~intrepid9) intrepid; urgency=low

  * Linked several core KDE libraries to /usr/lib

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Nov 2008 09:45:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu1~intrepid7) intrepid; urgency=low

  * Changed tdestartupconfig default HOME of /.kde to /.trinity

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Nov 2008 09:45:00 -0600

tdelibs-trinity (4:3.5.10-0ubuntu1~intrepid6) intrepid; urgency=low

  * Add -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 25 Nov 2008 09:45:00 -0600

tdelibs (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * Upstream bug fix release (LP: #261366)
    - Dropped kubuntu_98_kate_paste_cursor.diff applied upstream
    - Dropped kubuntu_9903_kinit_integer_overflow.diff applied upstream

 -- Scott Kitterman <scott@kitterman.com>  Mon, 25 Aug 2008 23:37:18 -0400

tdelibs (4:3.5.9-0ubuntu7.1) hardy-security; urgency=low

  * SECURITY UPDATE: integer overflow in start_tdeinit. The start_tdeinit
    processing of user-influenceable input is faulty.  A local user
    might be able to send unix signals to other processes, cause
    a denial of service or even possibly execute arbitrary code.
  * Add kubuntu_9903_kinit_integer_overflow.diff, edits
    kinit/start_tdeinit.c, patch from upstream KDE
  * References
    http://www.kde.org/info/security/advisory-20080426-2.txt
    CVE-2008-1671

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Apr 2008 16:01:13 +0100

tdelibs (4:3.5.9-0ubuntu7) hardy; urgency=low

  * Update debian/patches/kubuntu_55_printer_sharing.diff to run
    system-config-printer-kde to let users enable printer sharing
    rather than the old cups settings scripts.  Closes LP: #208381

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2008 00:03:28 +0100

tdelibs (4:3.5.9-0ubuntu6) hardy; urgency=low

  * Renamed kubuntu_99_system_config_printer_applet.diff to
    kubuntu_9901_system_config_printer_applet.diff
  * Added kubuntu_9902_kde4_kded_blacklist_modules.diff, don't autoload
    every kded modules in KDE4, replace kubuntu_9924_kde4_no_medianotifier.diff
    from tdebase

 -- Guillaume Martres <smarter@ubuntu.com>  Fri, 28 Mar 2008 19:49:46 +0100



=== debian/control ===
Source: tdelibs-trinity
Section: libs
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs (>= 0.4.41ubuntu2), debhelper (>= 7.0.50~), quilt, autotools-dev,
 binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man, gawk, gettext,
 libart-2.0-dev (>= 4:14.0.0~), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
 libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcupsys2-dev | libcups2-dev, libnm-util-dev,
 libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev, libldap2-dev,
 liblualib50-dev, libopenexr-dev (>= 1.2.2-4.1), libpcre3-dev,
 libsasl2-dev, libssl-dev, libxcomposite-dev, libdbus-1-tqt-dev,
 libtiff-dev, libavahi-client-dev (>= 0.4),
 libxml2-dev, libxml2-utils, libxslt1-dev, libavahi-tqt-dev,
 sharutils, texinfo, libogg-dev, libtqtinterface-dev,
 gettext-kde, lsb-release, base-files, sudo, libr-dev,
 libudev-dev, cmake, libltdl-dev, libmagic-dev
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11
Standards-Version: 3.8.3

Package: tdelibs-trinity
Section: libs
Architecture: all
Replaces: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
Breaks: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
Provides: tdelibs
Conflicts: tdelibs
Depends: tdelibs14-trinity (>= ${Source-Version}),
 tdelibs-data-trinity (>= ${Source-Version})
Description: core libraries from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the core TDE libraries, binaries, and data,
 needed by virtually all TDE applications. It does not include
 development files.

Package: tdelibs-data-trinity
Section: libs
Architecture: all
Replaces: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
Breaks: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
Conflicts: tdelibs-data, kdebase-kio-plugins-kde3 (<= 4:14.0.0~), kdebase-kio-plugins-trinity (<= 4:14.0.0~)
Depends: hicolor-icon-theme
Provides: tdelibs-data
Description: core shared data for all TDE applications
 This package contains all the architecture independent data files
 commonly used by TDE applications. You need these data files to run
 TDE applications.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity
Section: libs
Architecture: any
Replaces: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
Breaks: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
Depends: ${shlibs:Depends}, tdelibs-data-trinity,
 tdelibs-data-trinity, libart-2.0-2 (>= 4:14.0.0~), perl, xbase-clients
Recommends: xdg-user-dirs, consolekit | systemd
Suggests: fam, perl-suid
Description: core libraries and binaries for all TDE applications
 This package contains all the shared libraries and common core binaries
 used by all TDE applications. You need these libraries and binaries to
 run TDE applications.
 .
 Several scripts included in tdebase-bin, related to the handling of SMB
 and NFS shares, require the perl-suid package to work properly.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity-dev
Section: libdevel
Architecture: any
Replaces: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
Breaks: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
Depends: tdelibs14-trinity (= ${Source-Version}), libart-2.0-dev (>= 4:14.0.0~),
 libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
 libaspell-dev, hspell, libbz2-dev, libcupsys2-dev | libcups2-dev,
 libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev,
 libopenexr-dev (>= 1.2.2-3), libpcre3-dev, liblualib50-dev,
 libsasl2-dev, libssl-dev, libxcomposite-dev,
 libtiff-dev, libxml2-dev, libxml2-utils, libxslt1-dev,
 libavahi-client-dev (>= 0.4), libtqtinterface-dev,
 gettext-kde, libr-dev, libudev-dev, libdbus-1-tqt-dev, binutils-dev
Provides: tdelibs-trinity-dev
Description: development files for the TDE core libraries
 This package contains all the headers and other related files needed
 to compile TDE applications, or develop applications which use the
 core TDE libraries.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity-doc
Section: doc
Architecture: all
Replaces: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
Breaks: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
Provides: tdelibs-trinity-doc
Description: developer documentation for the TDE core libraries
 This package contains documentation for the core TDE libraries, of
 use more for developers creating applications which use the core
 TDE libraries, than regular users.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
Breaks: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
Priority: extra
Conflicts: tdelibs4-trinity-dbg, tdelibs4c2-trinity-dbg, tdelibs4c2a-trinity-dbg
Depends: tdelibs14-trinity (= ${Source-Version}), libtqtinterface-dbg, libc6-dbg [amd64]
Description: debugging symbols for tdelibs
 This package contains the debugging symbols associated with tdelibs.
 They will automatically be used by gdb for debugging tdelibs-related
 issues.

=== debian/rules ===
#! /usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=/opt/trinity/lib:debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_KDE_APIDOX := yes

version=Debian Package $(DEB_VERSION)
DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)

DEB_CMAKE_EXTRA_FLAGS := \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_GCC_VISIBILITY="ON" \
 -DWITH_LIBART="ON" \
 -DWITH_LIBIDN="ON" \
 -DWITH_TIFF="ON" \
 -DWITH_JASPER="ON" \
 -DWITH_OPENEXR="ON" \
 -DWITH_AVAHI="ON" \
 -DWITH_ASPELL="ON" \
 -DWITH_HSPELL="ON" \
 -DWITH_ELFICON="ON" \
 -DWITH_TDEHWLIB="ON" \
 -DWITH_TDEHWLIB_DAEMONS="ON" \
 -DWITH_LOGINDPOWER="ON" \
 -DWITH_UPOWER="ON" \
 -DWITH_UDISKS="ON" \
 -DWITH_UDISKS2="ON" \
 -DWITH_CONSOLEKIT="ON" \
 -DWITH_NETWORK_MANAGER_BACKEND="ON" \
 -DWITH_LZMA="ON" \
 -DWITH_XRANDR="ON" \
 -DWITH_XCOMPOSITE="ON" \
 -DWITH_MITSHM="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

DEB_FIXPERMS_EXCLUDE := \
	opt/trinity/bin/fileshareset	\
	opt/trinity/bin/kgrantpty	\
	opt/trinity/bin/kpac_dhcp_helper \
	opt/trinity/bin/start_tdeinit

DEB_DH_STRIP_ARGS  := --dbg-package=tdelibs-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

binary-install/tdelibs-data-trinity::
	install -p -D -m644 kded/tde-applications.menu debian/tdelibs-data-trinity/opt/trinity/etc/xdg/menus/tde-applications.menu
	install -p -D -m644 debian/trinitylibs.conf debian/tdelibs-data-trinity/etc/ld.so.conf.d/trinitylibs.conf
#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/apps/tdeui/pics/abouttde.png debian/icons/abouttde-kubuntu.png.uu

	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/devices/computer.png debian/icons/cr16-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/devices/computer.png debian/icons/cr22-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/devices/computer.png debian/icons/cr32-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/devices/computer.png debian/icons/cr48-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/64x64/devices/computer.png debian/icons/cr64-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/128x128/devices/computer.png debian/icons/cr128-device-computer.png.uu
#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/scalable/devices/computer.svgz debian/icons/crsc-device-computer.svgz.uu

	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu

	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/suspend.png debian/icons/cr16-action-suspend.png.uu

### 

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

binary-predeb/tdelibs14-trinity-dev::
ifeq (linux,$(DEB_HOST_ARCH_OS))
	echo "libasound2-trinity-dev=libasound2-trinity-dev" >> debian/tdelibs14-trinity-dev.substvars
endif

common-install-prehook-impl::
	mkdir -p po
#	-XGETTEXT=/usr/bin/kde-xgettext EXTRACTATTR=/usr/bin/extractattr sh $(DEB_SRCDIR)/admin/cvs.sh extract-messages	
#	-for file in po/*pot; do \
#		sed "s/charset=CHARSET/charset=UTF-8/" -i $$file; \
#	done

#	msgcat --use-first tde.pot po/tdelibs.pot > tdelibs.pot-merged
#	mv -f tdelibs.pot-merged po/tdelibs.pot
	cp -Rp tde.pot po/tdelibs.pot

	# generate .po files for .desktop etc files
	if [ -f debian/kubuntu-desktop-i18n/createdesktop.pl ]; then \
	  sh debian/kubuntu-desktop-i18n/findfiles LIST; \
	  cat LIST; \
	  perl debian/kubuntu-desktop-i18n/createdesktop.pl --file-list=LIST --base-dir=. > desktop.$(DEB_SOURCE_PACKAGE).tmp; \
	  msguniq --to-code=UTF-8 --no-wrap -o desktop.$(DEB_SOURCE_PACKAGE) desktop.$(DEB_SOURCE_PACKAGE).tmp 2>/dev/null; \
	  python debian/kubuntu-desktop-i18n/msgsplit desktop.$(DEB_SOURCE_PACKAGE); \
	  mv desktop.$(DEB_SOURCE_PACKAGE) po/desktop_$(DEB_SOURCE_PACKAGE).pot; \
	  rm -f desktop.$(DEB_SOURCE_PACKAGE) desktop.$(DEB_SOURCE_PACKAGE).tmp; \
	  # add translation domain to files \
	  for file in `cat LIST`; do \
	    echo X-Ubuntu-Gettext-Domain=desktop_$(DEB_SOURCE_PACKAGE) >> $${file}; \
	  done; \
	  rm -f LIST; \
	fi

binary-install/tdelibs14-trinity::
	mv debian/tmp/opt/trinity/bin/tdecmshell debian/tmp/opt/trinity/bin/tdecmshell.real
	install -p -D -m755 debian/tmp/opt/trinity/bin/tdecmshell.real debian/tdelibs14-trinity/opt/trinity/bin/tdecmshell.real
	install -p -D -m755 debian/tdecmshell debian/tdelibs14-trinity/opt/trinity/bin/tdecmshell
